package cd.casic.framework.commons.util.monitor;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 *
 * @author mian-bin
 * @Description Cpu
 * @date 2025/1/10 15:29
 */
@Data
@Accessors(chain = true)
public class Cpu {
    /**
     * 核心数
     */
    private int cpuNum;

    /**
     * CPU总的使用率
     */
    private double total;

    /**
     * CPU系统使用率
     */
    private double sys;

    /**
     * CPU用户使用率
     */
    private double used;

    /**
     * CPU当前等待率
     */
    private double wait;

    /**
     * CPU当前空闲率
     */
    private double free;
}
