package cd.casic.framework.commons.util.monitor;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 *
 * @author mian-bin
 * @Description SysFile
 * @date 2025/1/10 15:36
 */
@Data
@Accessors(chain = true)
public class SysFile {
    /**
     * 盘符路径
     */
    private String dirName;

    /**
     * 盘符类型
     */
    private String sysTypeName;

    /**
     * 文件类型
     */
    private String typeName;

    /**
     * 总大小
     */
    private String total;

    /**
     * 剩余大小
     */
    private String free;

    /**
     * 已经使用量
     */
    private String used;

    /**
     * 资源的使用率
     */
    private double usage;
}
