package cd.casic.framework.mongo.core.wrapper;

import cd.casic.framework.mongo.core.entity.Condition;
import cd.casic.framework.mongo.core.entity.SelectField;
import cd.casic.framework.mongo.core.entity.SortCondition;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Collections;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ConditionWrapper {
    private List<SelectField> fields = Collections.emptyList();

    private List<Condition> conditions = Collections.emptyList();

    private List<SortCondition> sortConditions = Collections.emptyList();

    private Long skip;

    private Integer limit;

}
