package cd.casic.plugin;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.pf4j.DefaultPluginDescriptor;

import java.util.List;

/**
 * @description: TODO
 * @author: mianbin
 * @date: 2025/5/19 17:32
 * @version: 1.0
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OpsPluginDescriptor extends DefaultPluginDescriptor {

    private final String configFileName;
    private final List<String> configFileActive;

    public OpsPluginDescriptor(String pluginId, String pluginDescription, String pluginClass,
                               String version, String requires, String provider, String license,
                               String configFileName, List<String> configFileActive) {
        super(pluginId, pluginDescription, pluginClass, version, requires, provider, license);
        this.configFileActive = configFileActive;
        this.configFileName = configFileName;
    }
}
