package cd.casic.plugin.event;

import cd.casic.plugin.dataobject.pojo.SpringPlugin;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * @Classname SpringPluginStoppingEvent
 * @Description TODO
 * @Date 2025/5/8 14:50
 * @Created by mianbin
 */
@Getter
public class SpringPluginStoppingEvent extends ApplicationEvent {

    private final SpringPlugin springPlugin;

    public SpringPluginStoppingEvent(Object source, SpringPlugin springPlugin) {
        super(source);
        this.springPlugin = springPlugin;
    }

}
