package cd.casic.module.machine.dal.dataobject;

import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "machine_secret_key")
public class SecretKeyDO extends BaseDO {

    /**
     * 密钥id
     */
    @TableId
    private Long id;

    @TableField(value = "name")
    private String name;

    @TableField(value = "description")
    private String description;


    //密钥密码
    @TableField(value = "password")
    private String password;

//    @TableField(value = "public_key")
    private String publicKey;


//    @TableField(value = "private_key")
    private String privateKey;


}
