package cd.casic.ci.process.dto.req.aflManager;

import lombok.Data;

@Data
public class AflManagerReq {
    private String id;
    private String pipelineId;
    private String pipelineHistoryId;
    private String taskId;
    //分组唯一标识
    private String groupIdentifier;

    /**
     * 主机地址
     */
    private String machineHost;

    /**
     * 描述
     */
    private String description;

    /**
     * 机器状态
     */
    private String machineStatus;

    /**
     * 登录用户名
     */
    private String username;

    /**
     * SSH 端口
     */
    private String sshPort;

    /**
     * 密码
     */
    private String password;

    /**
     * 秘钥 ID
     */
    private Long secretKeyId;

    /**
     * 代理 ID
     */
    private Long proxyId;

    /**
     * 认证类型编码
     */
    private Integer authenticationTypeCode;

    /**
     * 认证类型
     */
    private String authType;

    /**
     * 操作系统
     */
    private String osSystem;

}
