package cd.casic.ci.process.dto.req.pipeline;

import cd.casic.framework.commons.pojo.PageParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @ClassName PipelineQueryReq
 * @Author hopeli
 * @Date 2025/5/10 9:54
 * @Version 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class PipelineQueryReq extends PageParam {
    /**
     * 主键id
     */
    private String id;

    private List<String> idList;

    /**
     * 流水线名称
     */
    private String name;

    /**
     * 创建人用户id
     */
    private String creator;


    /**
     * 是否收藏 0.未收藏 1.收藏
     */
    private Integer collect;

    /**
     * 流水线组id
     */
    private String groupId;

}
