package cd.casic.ci.process.dto.req.report;

import lombok.Data;

/**
 * @ClassName PipelineReq
 * @Author hopeli
 * @Date 2025/5/10 10:53
 * @Version 1.0
 */
@Data
public class ReportAssetTaskReq {
    private ReportAdvancedSearch advancedSearch;

    //报告维度 5-组件，默认为5-组件
    private Integer dimension = 5;

    //报告模板id，可选，默认为默认模板
    private Integer reportTemplateId = 1;

    //检测任务ID
    private Integer scaTaskId;

    //报告类型 5-excel 1-word 2-pdf 3-html 4-json，默认为2-pdf
    private Integer type = 2;

    //报告名称，如果不填则会自动生成
    private String reportName;
}
