package cd.casic.ci.process.dto.req.resource;

import cd.casic.framework.commons.pojo.PageParam;
import lombok.Data;

import java.util.List;

@Data
public class ResourceQueryReq extends PageParam {
    /**
     * 主键id
     */
    private String id;

    private List<String> idList;

    //资源类型
    private String type;

    /**
     * docker镜像服务器信息id
     */
    private String dockerId;

    /**
     * k8s服务器信息id
     */
    private String k8sId;

    /**
     * 机器服务器信息id
     */
    private String machineId;

    /**
     * 弹性云服务器信息id
     */
    private String cloudId;

    /**
     * 资源名称
     */
    private String resourceName;


    /**
     * 创建人用户id
     */
    private String creator;
}
