package cd.casic.ci.process.dto.req.target;

import cd.casic.framework.commons.pojo.PageParam;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @ClassName PipelineQueryReq
 * @Author hopeli
 * @Date 2025/5/10 9:54
 * @Version 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class TargetQueryReq extends PageParam {
    /**
     * 主键id
     */
    private String id;

    private List<String> idList;

    /**
     * 目标名称
     */
    @TableField("target_name")
    private String targetName;

    /**
     * 目标类型
     */
    private String targetType;

    /**
     * 创建人用户id
     */
    private String creator;

}
