package cd.casic.ci.process.dto.req.target;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

/**
 * @ClassName PipelineQueryReq
 * @Author hopeli
 * @Date 2025/5/10 9:54
 * @Version 1.0
 */
@Data
@ConfigurationProperties(prefix = "upload")
@Component
public class TargetUploadReq{

    //远程服务器IP或主机名
    private String remoteHost = "175.6.27.252";

    //远程服务器端口 (通常是 22)，为 null 或 <= 0 时使用默认端口 22
    private Integer remotePort = 22;

    //远程服务器用户名
    private String username = "roots";

    //远程服务器密码 (如果使用密码认证)
    private String password = "hnidc0327cn!@#xhh";

    //SSH Key 文件路径 (如果使用密钥认证，password 参数可以为 null)
    private String sshKeyPath;

    //文件输入流
    private MultipartFile file;

    //远程服务器存放文件的目录 (例如: /home/user/uploads/)
    private String remoteDir = "/home/ops/ops-pro/file/";

    //上传到远程服务器的文件名 (为 null 或空字符串时使用本地文件名)
    private String remoteFileName;
}
