package cd.casic.ci.process.dto.req.template;

import cd.casic.framework.commons.pojo.PageParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @ClassName PipelineQueryReq
 * @Author hopeli
 * @Date 2025/5/10 9:54
 * @Version 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class TemplateQueryReq extends PageParam {
    /**
     * 主键id
     */
    private String id;

    private List<String> idList;

    /**
     * 模板名称
     */
    private String templateName;

    /**
     * 模板分类
     */
    private String templateType;

    /**
     * 模板编码
     */
    private String templateCode;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 创建人用户id
     */
    private String creator;

}
