package cd.casic.ci.process.dto.req.testCase;

import cd.casic.framework.commons.pojo.PageParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class TestCaseInfoQueryReq extends PageParam {
    private String id;

    private List<String> idList;

    private String testCaseManagerId;

    // 测试用例名称
    private String name;

    // 文件名称
    private String fileName;

    // 测试文件类型（如：txt, csv, xml 等）
    private String testFileType;

    // 测试文件地址（存储路径或URL）
    private String testFileList;

    // 描述信息
    private String remark;
}
