package cd.casic.ci.process.dto.resp.aflManager;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @ClassName ReportResp
 * @Author hopeli
 * @Date 2025/5/10 10:53
 * @Version 1.0
 */
@Data
public class AflBaseInfoResp {

    //创建时间
    private LocalDateTime createTime;

    //执行时间（分钟数）
    private Integer durationTime;

    //测试用例数量
    private Integer testCaseCount;

    //镜像名称
    private String dockerName;

    //运行状态 1-未开始  2-运行中  3-已结束
    private String status;

    //应用名称
    private String applicationName;

}
