package cd.casic.ci.process.dto.resp.sast;

import cd.casic.ci.process.dto.req.sast.SastApplicationCreateReq;
import lombok.Data;

import java.util.List;

@Data
public class SastApplicationEchoResp {
    private String projectId;
    private List<LodeFile> lodeFiles;
    private String applicationName;
    private String applicationId;
    private String codeSourceFrom;
    private String codeRepoType;
    private String codeRepoUrl;
    private boolean selfCodeRepo;
    private String codeRepoCertId;
    private boolean connectionStatus;
    private String branchName;
    private String branchKey;
    private List<SastApplicationCreateReq.SastApplicationConfig> config;
    private List<String> openEngine;
    private boolean autoAudit;
    private String functionFilter; // 如有具体结构可进一步细化

    @Data
    public static class LodeFile {
        private String fileId;
        private String fileName;
    }

}
