package cd.casic.ci.process.dto.resp.sast;

import lombok.Data;

import java.util.List;

@Data
public class SastDetectionConfigResp {
    private List<Template> templateList;
    private CompileConfig compileConfig;

    @Data
    public static class Template {
        private String templateName;
        private String templateId;
        private String codeType;
        private String codeLanguage;
    }

    @Data
    public static class CompileConfig {
        private SourceConfig sourceConfig;
        private BuildConfig buildConfig;

        @Data
        public static class SourceConfig {
            private String name;
            private List<String> version;
        }

        @Data
        public static class BuildConfig {
            private String name;
            private List<String> compileTool;
        }
    }
}