package cd.casic.ci.process.dto.resp.target;

import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TargetManager
 * @Date: 2025/5/17 10:23
 * @Description:
 */
@Data
public class TargetManagerResp{
    private String id;

    /**
     * 目标名称
     */
    private String targetName;

    /**
     * 目标类型
     */
    private String targetType;

    /**
     * 组织ID
     */
    private String projectId;


    /**
     * 描述
     */
    private String targetDesc;

    private List<TargetVersionResp> versionList;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * 最后更新时间
     */
    private LocalDateTime updateTime;

    private String creator;
    private String creatorName;

    private String updater;
    private String updaterName;
}
