package cd.casic.ci.process.engine.constant;
/**
 *  key为后缀代表除了根据key获取，不直接使用值
 *  非key后缀的值都会在某地直接使用修改请谨慎
 * */
public class PipelineVariableConstant {
    /**
     *  AFL线基础工作目录，完整的工作目录为 基础工作目录 + /PIP_${pipelineId}
     * */
    public static final String AFL_DOCKER_WORK_DIR_PREFIX = "PIP_";
    public static final String AFL_DOCKER_BASE_DIR = "/test";
    public static final String AFL_VOLUME_WORK_DIR_PREFIX = "/home/casic/706/yunqi";
    /**
     *  真正用于绑定AFL docker卷挂载的目录的全局变量的key，值为 基础工作目录 + /PIP_${pipelineId}
     * */
    public static final String AFL_DOCKER_WORK_DIR_KEY = "AFL_DOCKER_WORK_DIR_KEY";
    /**
     * 测试用例生成，ai生成或者直接文件上传的文件夹名称：SEED
     * */
    public static final String AFL_DOCKER_SEED ="SEED";
    public static final String AFL_DOCKER_SEED_PATH_KEY="AFL_DOCKER_SEED_PATH_KEY";

    /**
     *  AFL输出目录
     * */
    public static final String AFL_DOCKER_OUTPUT = "ai_afl";
    public static final String COMPILE_RESULT_KEY ="compileResult";
    public static final String AFL_RESOURCE_MANAGER_ID_KEY = "managerId";
    public static final String IMAGE_NAME = "IMAGE_NAME";
    public static final String EXECUTABLE_NAME_KEY = "executableName";
}
