package cd.casic.ci.process.engine.scheduler.dateObject;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipelineSchedulingProperties
 * @Date: 2025/5/27 19:57
 * @Description: 
 */

@EqualsAndHashCode(callSuper = true)
@Data
@TableName("pip_pipeline_scheduling_properties")
public class PipelineSchedulingProperties extends PipBaseElement {
    /**
     * 任务唯一标识
     */
    private String pipelineId;

    /**
     * 定时表达式
     */
    private String cron;

    /**
     * 执行状态
     */
    private String status;
}
