package cd.casic.ci.process.process.converter;


import cd.casic.ci.process.dto.resp.machine.MachineInfoResp;
import cd.casic.ci.process.process.dataObject.machine.MachineInfo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipelineConverter
 * @Date: 2025/5/13 14:39
 * @Description:
 */
@Mapper(componentModel = "spring")
public interface MachineConverter {
    MachineConverter INSTANCE = Mappers.getMapper(MachineConverter.class);
    MachineInfoResp toResp(MachineInfo pipPipeline);
    List<MachineInfoResp> toRespList(List<MachineInfo> pipPipelines);

}
