package cd.casic.ci.process.process.dataObject.aflManager;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName FileChunk
 * @Date: 2025/7/1 16:03
 * @Description:
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("afl_file_chunk")
public class AflFileChunk extends PipBaseElement {

    /**
     * 文件唯一标识 ID
     */
    private String contentId;

    /**
     * 分片索引，从0开始计数
     */
    private Integer chunkIndex;

    /**
     * 总分片数量
     */
    private Integer chunksSum;

    /**
     * 分片内容（二进制数据）
     */
    private byte[] chunkContent;
}
