package cd.casic.ci.process.process.dataObject.aflManager;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@TableName("afl_seed_info")
public class AflSeedInfo extends PipBaseElement {

    /**
     * 模糊测试进程的开始时间
     */
    private String seedId;

    private String pipelineId;
    private String pipelineHistoryId;
    private String taskId;
    //分组唯一标识
    private String groupIdentifier;

    /**
     * 生成种子数量
     */
    private String seedAmount;

    /**
     * 文件地址路径
     */
    private String filePath;


    /**
     * 执行分钟数
     */
    private Integer minutesDifference;

}
