package cd.casic.ci.process.process.dataObject.node;


import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author herenbin
 * @description pipeline_node_template
 * @date 2022-09-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("pip_task_template")
public class PipTaskTemplate extends BaseDO {

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 唯一标示做关联
     */
    private String parentId;

    /**
     * name
     */
    private String taskType;

    /**
     * 标签
     */
    private String taskName;

    /**
     * 描述
     */
    private String nodDescription;

    /**
     * 图标
     */
    private String icon;
    /**
     * 是否有执行结果数据
     */
    private int view;

    /**
     * 节点类型：目录-0or 节点-1
     */
    private Integer type;

    public PipTaskTemplate() {
    }

}