package cd.casic.ci.process.process.dataObject.stage;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import cd.casic.ci.process.process.dataObject.task.PipTask;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
@EqualsAndHashCode(callSuper = true)
@Data
public class PipStage extends PipBaseElement {
    //@ApiProperty(name = "stageId",desc="id")
    //@ApiProperty(name = "stageName",desc="名称")
    private String stageName;


//    @ApiProperty(name="pipelineId",desc="流水线id")
    private String pipelineId;

    //@ApiProperty(name="stageSort",desc="阶段顺序")
    private Integer stageSort;

    //@ApiProperty(name = "parentId",desc="主阶段")
    private String parentId;

    //@ApiProperty(name = "code",desc="是否是源码")
    private Boolean code = false;
    /**
     * 触发方式 0-手动触发/1-自动触发
     * */
    private String triggerMode;

    //@ApiProperty(name = "taskValues",desc="阶段任务")
    @TableField(exist = false)
    private List<PipTask> taskValues;

    //@ApiProperty(name = "stageList",desc="阶段")
    @TableField(exist = false)
    private List<PipStage> stageList;
    // 执行实例id
    @TableField(exist = false)
    private String instanceId;

}
