package cd.casic.ci.process.process.dataObject.testCase;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TestCaseInfo
 * @Date: 2025/6/24 16:40
 * @Description:
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("test_case_info")
public class TestCaseInfo extends PipBaseElement {

    private String testCaseManagerId;

    // 测试用例名称
    private String name;

    // 文件名称
    private String fileName;

    // 测试文件类型（如：txt, csv, xml 等）
    private String testFileType;

    // 测试文件地址（存储路径或URL）
    private String testFileList;

    private String testFilePath;

    // 描述信息
    private String remark;
}
