package cd.casic.ci.process.properties;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.stereotype.Component;

@ConfigurationProperties(prefix = "sast")
@Component
@Data
public class SastProperties {
    @Value("username")
    private String username;
    @Value("password")
    private String password;
    @Value("id")
    private String id;
    @Value("captcha")
    private String captcha;
    @Value("baseUrl")
    private String baseUrl;
}
