package cd.casic.ci.process.properties;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@ConfigurationProperties(prefix = "shuimu")
@Component
@Data
public class ShuiMuProperties {
    @Value("username")
    private String username;
    @Value("password")
    private String password;
    @Value("baseUrl")
    private String baseUrl;
    @Value("grant_type")
    private String grantType;
    @Value("client_id")
    private String clientId;

}
