package cd.casic.module.infra.framework.web.config;

import cd.casic.framework.swagger.config.OpsSwaggerAutoConfiguration;
import org.springdoc.core.models.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * infra 模块的 web 组件的 Configuration
 *
 * @author mianbin modified from yudao
 */
@Configuration(proxyBeanMethods = false)
public class InfraWebConfiguration {

    /**
     * infra 模块的 API 分组
     */
    @Bean
    public GroupedOpenApi infraGroupedOpenApi() {
        return OpsSwaggerAutoConfiguration.buildGroupedOpenApi("infra");
    }

}
