package cd.casic.module.system.api.logger.dto;

import cd.casic.framework.commons.pojo.PageParam;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 操作日志分页 Request DTO
 *
 * @author HUIHUI
 */
@Data
@Accessors(chain = true)
public class OperateLogPageReqDTO extends PageParam {

    /**
     * 模块类型
     */
    private String type;
    /**
     * 模块数据编号
     */
    private Long bizId;

    /**
     * 用户编号
     */
    private Long userId;

}
