package cd.casic.framework.commons.util.monitor;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 *
 * @author mian-bin
 * @Description Jvm
 * @date 2025/1/10 15:31
 */
@Data
@Accessors(chain = true)
public class Jvm {
    /**
     * 当前JVM占用的内存总数(M)
     */
    private double total;

    /**
     * JVM最大可用内存总数(M)
     */
    private double max;

    /**
     * JVM空闲内存(M)
     */
    private double free;

    /**
     * JDK版本
     */
    private String version;

    /**
     * JDK路径
     */
    private String home;
}
