package cd.casic.framework.commons.util.monitor;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 系统相关
 *
 * @author mian-bin
 * @Description Sys
 * @date 2025/1/10 15:35
 */
@Data
@Accessors(chain = true)
public class Sys {
    /**
     * 服务器名称
     */
    private String computerName;

    /**
     * 服务器Ip
     */
    private String computerIp;

    /**
     * 项目路径
     */
    private String userDir;

    /**
     * 操作系统
     */
    private String osName;

}
