package cd.casic.framework.mongo.core.entity;

import lombok.Data;

import java.util.Collections;
import java.util.List;

@Data
public class Page<T>{
    /**
     * 查询数据列表
     */
    private List<T> records = Collections.emptyList();

    /**
     * 总数
     */
    private long total;
    /**
     * 当前页
     */
    private int pageNum = 1;
    /**
     * 每页大小，默认10
     */
    private int pageSize = 10;
}

