package cd.casic.plugin;

import cd.casic.plugin.config.PluginProperties;
import cd.casic.plugin.function.PluginsRootGetter;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.lang.NonNull;
import org.springframework.stereotype.Component;

/**
 * @description: TODO
 * @author: mianbin
 * @date: 2025/5/13 10:53
 * @version: 1.0
 */
@Slf4j
@Component
@RequiredArgsConstructor
public class PluginsRootGetterImpl implements PluginsRootGetter {

    private final PluginProperties properties;

    @Override
    @NonNull
    public String get() {
        return properties.getPluginRoot();
    }

}

