package cd.casic.plugin.annotation;

import java.lang.annotation.*;

/**
 * @Author：mianbin
 * @Package：cd.casic.plugin.annotation
 * @Project：ops
 * @name：InterceptPath
 * @Date：2024/03/18 16:09
 * @Filename：InterceptPath
 * @description：插件拦截器
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Documented
public @interface InterceptPath {
    /**
     * 拦截的路径
     */
    String[] value();
}
