package cd.casic.plugin.dataobject.dto;

import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * @description: TODO
 * @author: mianbin
 * @date: 2025/5/19 10:12
 * @version: 1.0
 */
@Data
@TableName(value = "plugin_information")
@EqualsAndHashCode(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PluginInformation extends BaseDO {

    @TableId
    private Long id;

    //插件名
    private String name;

    //插件路径
    private String path;

    //插件描述
    private String desc;

    //插件版本
    private String version;

    //插件作者
    private String author;

    //插件状态
    private Integer status = 0;
}
