package cd.casic.plugin.event;

import lombok.Getter;
import org.pf4j.PluginWrapper;
import org.springframework.context.ApplicationEvent;

/**
 * @Classname PluginStoppedEvent
 * @Description 插件停止，触发该事件，发布事件到上下文
 * @Date 2025/5/8 14:46
 * @Created by mianbin
 */
@Getter
public class OpsPluginStoppedEvent extends ApplicationEvent {

    private final PluginWrapper plugin;

    public OpsPluginStoppedEvent(Object source, PluginWrapper plugin) {
        super(source);
        this.plugin = plugin;
    }
}
