package cd.casic.plugin.event;

import cd.casic.plugin.dataobject.pojo.SpringPlugin;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * @Classname SpringPluginStartedEvent
 * @Description TODO
 * @Date 2025/5/8 14:48
 * @Created by mianbin
 */
@Getter
public class SpringPluginStartedEvent extends ApplicationEvent {
    private final SpringPlugin springPlugin;

    public SpringPluginStartedEvent(Object source, SpringPlugin springPlugin) {
        super(source);
        this.springPlugin = springPlugin;
    }
}
