package cd.casic.plugin.function;

import cd.casic.plugin.dataobject.pojo.PluginInfo;

/**
 * @description: TODO
 * @author: mianbin
 * @date: 2025/5/22 9:44
 * @version: 1.0
 */
public interface IPluginProcessor {
    /**
     * 插件组件初始化
     *
     * @throws Exception
     */
    void initialize() throws Exception;

    /**
     * 插件组件注册
     *
     * @param plugin
     * @throws Exception
     */
    void registry(PluginInfo plugin) throws Exception;

    /**
     * 插件组件卸载注册
     *
     * @param plugin
     * @throws Exception
     */
    void unRegistry(PluginInfo plugin) throws Exception;
}
