package cd.casic.module.execute.docker.dataobject.dto;

import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import static cd.casic.module.execute.docker.dataobject.model.OperateRecord.OperatorResource;

/**
 * @description: TODO
 * @author: mianbin
 * @date: 2025/5/26 16:48
 * @version: 1.0
 */
@TableName("pipeline_docker_record")
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class OperateRecordDo extends BaseDO {
    @TableId(type = IdType.AUTO)
    private Long id;

    private Long clientId;

    private Long userId;

    private String name;

    private OperatorResource resource;

    private String content;
}
