package cd.casic.module.machine.dal.dataobject;


import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.*;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 环境变量实体类
 */

@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("machine_env")
public class MachineEnvDO extends BaseDO {


    /**
     * 环境变量id
     */
    @TableId
    private Long id;

    /**
     * 机器ID（唯一关联）
     */
    private Long machineId;

    /**
     * 环境变量键
     */
    private String envKey;

    /**
     * 环境变量值
     */
    private String envValue;


    /**
     * 描述信息
     */
    private String description;


}




