package cd.casic.ci.api;

import cd.casic.ci.process.dto.resp.taskTemplate.TaskTemplateResp;
import cd.casic.ci.process.process.service.taskTemplate.TaskTemplateService;
import cd.casic.framework.commons.pojo.CommonResult;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/taskTemplate")
public class TaskTemplateController {
    @Resource
    private TaskTemplateService nodeTemplateService;
    @PostMapping("/list")
    public CommonResult<List<TaskTemplateResp>> list(){
        List<TaskTemplateResp> list = nodeTemplateService.getList();
        return CommonResult.success(list);
    }
}
