package cd.casic.ci.process.config;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

@Configuration
public class MybatisAutoConfiguration {
    @Bean("processMetaObjectHandler")
    @Primary
    public MetaObjectHandler processMetaObjectHandler() {
        return new DefaultDBFieldHandler(); // 自动填充参数类
    }
}
