package cd.casic.ci.process.dto.req.report;

import lombok.Data;

import java.util.List;

/**
 * @ClassName PipelineReq
 * @Author hopeli
 * @Date 2025/5/10 10:53
 * @Version 1.0
 */
@Data
public class ReportDeleteReq {
    //开始时间
    private String startDate;

    //结束时间
    private String endDate;

    //报告名
    private String name;

    //项目id列表
    private List<Integer> projectIdList;

    //报告ID
    private Integer reportId;

    //报告状态 0-生成中 1-已生成 2-生成失败
    private Integer status;

    //报告类型 1-word 2-pdf 3-html 4-json 5-excel 6-rdf 7-tag:value 8-xml 9-yaml 10 cbor
    private Integer type;

    //生成用户
    private String use;

    //来源编号
    // -1-代码溯源分析
    // 0-项目管理
    // 1-应用包审查分析
    // 2-SBOM风险扫描
    // 3-IDE开发管理
    // 4-代码仓库管理
    // 5-CI/CD流水线
    // 6-二进制成分分析
    // 7-镜像安全扫描
    // 8-私服库安全扫描
    // 12-组件风险管理
    // 13-漏洞风险管理
    // 14-许可证风险管理
    // 15-知识库查询
    // 16-运行时监控
    private Integer sourceCode;
}
