package cd.casic.ci.process.dto.req.resource;

import cd.casic.ci.process.process.dataObject.resource.PipResourceCloud;
import cd.casic.ci.process.process.dataObject.resource.PipResourceK8S;
import cd.casic.ci.process.process.dataObject.resource.PipResourceMachine;
import cd.casic.module.execute.docker.dataobject.dto.DockerEndpointDo;
import lombok.Data;

@Data
public class ResourceReq {
    private String id;
    /**
     * docker镜像服务器信息id
     */
    private String dockerId;

    /**
     * k8s服务器信息id
     */
    private String k8sId;

    /**
     * 机器服务器信息id
     */
    private String machineId;

    /**
     * 弹性云服务器信息id
     */
    private String cloudId;

    /**
     * 资源名称
     */
    private String resourceName;

    private PipResourceMachine resourceMachine;

    private DockerEndpointDo dockerEndpoint;

    private PipResourceK8S pipResourceK8S;

    private PipResourceCloud pipResourceCloud;
}
