package cd.casic.ci.process.dto.req.target;

import lombok.Data;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TargetManagerReq
 * @Date: 2025/5/17 15:36
 * @Description:
 */
@Data
public class TargetVersionCreateReq {

    /**
     * 目标ID
     */
    private String targetId;

    /**
     * 版本号
     */
    private String version;

    /**
     * 文件大小（单位：字节）
     */
    private Double fileSize;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件类型（例如 zip、tar.gz 等）
     */
    private String fileType;

    /**
     * 文件地址路径
     */
    private String filePath;
}
