package cd.casic.ci.process.dto.req.task;

import lombok.Data;

import java.time.LocalDateTime;
import java.util.Map;

@Data
public class TasksReq {
    //@ApiProperty(name="taskId",desc="配置id")
    private String id;

    //@ApiProperty(name="createTime",desc="创建时间")
    private LocalDateTime createTime;

    //@ApiProperty(name="taskType",desc= "类型1-10:源码,10-20:测试,20-30:构建,30-40:部署,40-50:代码扫描,50-60:推送制品")
    private String taskType;

    //@ApiProperty(name="taskSort",desc="顺序")
    private int taskSort;

    //@ApiProperty(name="taskName",desc="顺序")
    private String taskName;

    //@ApiProperty(name="values",desc="任务")
    private Map<String,Object> taskProperties;

    //@ApiProperty(name="pipeline",desc="流水线id",eg="@selectOne")
    private String pipelineId;

    //@ApiProperty(name="postprocessId",desc="后置处理id",eg="@selectOne")
    private String postprocessId;;

    //@ApiProperty(name="stageId",desc="阶段",eg="@selectOne")
    private String stageId;

    //@ApiProperty(name="task",desc="任务",eg="@selectOne")

    // 执行实例id
    private String instanceId;
}
