package cd.casic.ci.process.dto.req.testCase;

import cd.casic.framework.commons.pojo.PageParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class TestCaseManagerQueryReq extends PageParam {
    private String id;

    private List<String> idList;

    /**
     * 测试用例管理名称
     */
    private String name;

    /**
     * 测试用例管理类型
     */
    private String type;

    /**
     * 文件夹路径，用于统一上传文件地址
     */
    private String folderPath;

    /**
     * 描述
     */
    private String remark;
}
