package cd.casic.ci.process.dto.resp.aflManager;

import lombok.Data;

/**
 * @ClassName ReportResp
 * @Author hopeli
 * @Date 2025/5/10 10:53
 * @Version 1.0
 */
@Data
public class AflCrashesInfoResp {
    private String id;
    /**
     * 流水线id
     */
    private String pipelineId;

    private String pipelineHistoryId;
    private String taskId;
    //分组唯一标识
    private String groupIdentifier;


    /**
     * 文件地址路径
     */
    private String filePath;

    /**
     * 崩溃文件名称
     */
    private String crashesName;

    /**
     * 崩溃文件生成时间
     */
    private String crashesCreateTime;

    /**
     * 崩溃文件大小（单位：字节）
     */
    private Integer crashesLength;

    /**
     * 崩溃文件描述
     */
    private String crashesRemark;

}
