package cd.casic.ci.process.dto.resp.context;

import lombok.Data;

import java.time.LocalDateTime;

/**
 *  单节点上下文状态返回对象
 * */
@Data
public class SingletonRunContextResp {
    /**
     *  流水线元素的id（pipeline、stage、task）
     * */
    private String id;
    /**
     *  状态 详见  ContextStateEnum
     * */
    private Integer state;
    private LocalDateTime startTime;
    private LocalDateTime endTime;
    private String duration;
    private String logId;
}
