package cd.casic.ci.process.dto.resp.template;

import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @ClassName PipelineFindResp
 * @Author hopeli
 * @Date 2025/5/10 10:53
 * @Version 1.0
 */
@Data
public class TemplateFindResp {

    private String id;

    private String templateName;
    private String templateType;
    private String templateCode;
    private Integer sort;
    private String remark;


    private List<TemplateStageResp> stageList;



    //创建人id
    private String creator;

    //创建人姓名
    private String creatorName;

    //最后修改人id
    private String updater;

    //最后修改人姓名
    private String updaterName;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;


}
