package cd.casic.ci.process.dto.resp.template;

import lombok.Data;

import java.util.List;

@Data
public class TemplateStageResp {
    //@ApiProperty(name = "stageId",desc="id")
    private String id;

    //@ApiProperty(name = "stageName",desc="名称")
    private String stageName;

    //@ApiProperty(name = "createTime",desc="创建时间")
    private String createTime;

    //@ApiProperty(name="pipelineId",desc="流水线id")
    private String templateId;

    //@ApiProperty(name="stageSort",desc="阶段顺序")
    private int stageSort;

    //@ApiProperty(name = "parentId",desc="主阶段")
    private String parentId;

    //@ApiProperty(name = "code",desc="是否是源码")
    private boolean code = false;

    //@ApiProperty(name = "taskValues",desc="阶段任务")
    private List<TemplateTasksResp> taskValues;

    //@ApiProperty(name = "stageList",desc="阶段")
    private List<TemplateStageResp> stageList;

    //@ApiProperty(name = "taskType",desc="任务类型")
    private String taskType;

    //@ApiProperty(name = "taskId",desc="任务id")
    private String taskId;

    //@ApiProperty(name = "values",desc="更新内容")
    private Object values;

    //@ApiProperty(name = "taskSort",desc="任务顺序")
    private int taskSort;

    //@ApiProperty(name = "parallelName",desc="并行阶段名称")
    private String parallelName;

    // 执行实例id
    private String instanceId;
}
