package cd.casic.ci.process.dto.resp.testCase;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class TestCaseInfoResp {
    private String id;

    private String testCaseManagerId;

    // 测试用例名称
    private String name;

    // 文件名称
    private String fileName;

    // 测试文件类型（如：txt, csv, xml 等）
    private String testFileType;

    // 测试文件地址（存储路径或URL）
    private String testFileList;

    private String testFilePath;

    // 描述信息
    private String remark;

    //创建人id
    private String creator;

    //创建人姓名
    private String creatorName;

    //最后修改人id
    private String updater;

    //最后修改人姓名
    private String updaterName;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

}
