package cd.casic.ci.process.dto.resp.testCase;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class TestCaseManagerResp {
    private String id;

    /**
     * 测试用例管理名称
     */
    private String name;

    /**
     * 测试用例管理类型
     */
    private String type;

    /**
     * 文件夹路径，用于统一上传文件地址
     */
    private String folderPath;

    /**
     * 描述
     */
    private String remark;

    //创建人id
    private String creator;

    //创建人姓名
    private String creatorName;

    //最后修改人id
    private String updater;

    //最后修改人姓名
    private String updaterName;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Integer fileCount;
    private String fileSize;
}
