package cd.casic.ci.process.engine.message;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import cd.casic.ci.process.process.dataObject.task.PipTask;
import cd.casic.framework.mq.redis.core.pubsub.AbstractRedisChannelMessage;
import cd.casic.framework.mq.redis.core.stream.AbstractRedisStreamMessage;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
public class TaskRunMessage extends AbstractRedisStreamMessage {
    private PipTask task;

    public TaskRunMessage(PipTask task) {
        this.task = task;
    }
}
