package cd.casic.ci.process.engine.postHandler;

import cd.casic.ci.process.process.dataObject.history.PipPipelineHisInstance;
import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
public abstract class ExecuteTaskPostHandler {
    private String taskId;
    private String pipelineId;

    /**
     *  流水线执行结束需要执行的操作
     * */
    public abstract void executeAfterDone(PipPipelineHisInstance pipPipelineHisInstance);
}
