package cd.casic.ci.process.process.converter;

import cd.casic.ci.process.dto.req.cloudResource.CloudResourceReq;
import cd.casic.ci.process.dto.resp.cloudResource.CloudResourceFindResp;
import cd.casic.ci.process.process.dataObject.cloudResource.CloudResource;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipelineConverter
 * @Date: 2025/5/13 14:39
 * @Description:
 */
@Mapper(componentModel = "spring")
public interface CloudResourceConverter {
    CloudResourceConverter INSTANCE = Mappers.getMapper(CloudResourceConverter.class);

    CloudResourceFindResp toResp(CloudResource req);
    List<CloudResourceFindResp> toRespList(List<CloudResource> cloudResources);


    CloudResource toBean(CloudResourceReq req);
}
