package cd.casic.ci.process.process.dataObject.aflManager;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@TableName("afl_plot_info")
public class AflPlotInfo extends PipBaseElement {
    /**
     * 流水线ID
     */
    private String pipelineId;

    /**
     * 流水线历史记录ID
     */
    private String pipelineHistoryId;

    /**
     * 任务节点ID
     */
    private String taskId;

    /**
     * 分组标识
     */
    private String groupIdentifier;

    /**
     * 文件地址路径
     */
    private String filePath;

    /**
     * 相对时间
     */
    private String relativeTime;

    /**
     * 完成的周期数
     */
    private String cyclesDone;

    /**
     * 当前项目
     */
    private String curItem;

    /**
     * 语料库数量
     */
    private String corpusCount;

    /**
     * 挂起总数
     */
    private String pendingTotal;

    /**
     * 挂起的重点项
     */
    private String pendingFavs;

    /**
     * 映射大小
     */
    private String mapSize;

    /**
     * 已保存的崩溃数
     */
    private String savedCrashes;

    /**
     * 已保存的挂起数
     */
    private String savedHangs;

    /**
     * 最大深度
     */
    private String maxDepth;

    /**
     * 每秒执行次数
     */
    private String execsPerSec;

    /**
     * 总执行次数
     */
    private String totalExecs;

    /**
     * 发现的边数
     */
    private String edgesFound;

    /**
     * 总崩溃次数
     */
    private String totalCrashes;

    /**
     * 服务器数量
     */
    private String serversCount;

}
