package cd.casic.ci.process.process.dataObject.cloudResource;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName PipResourceTmp
 * @Author hopeli
 * @Date 2025/31 21:40
 * @Version 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("cloud_resource")
public class CloudResource extends PipBaseElement {
    /** 虚拟机类型 */
    private String vmType;

    /** 虚拟机名称 */
    private String vmName;

    /** 到期释放时间 */
    private String expirationTime;

    /** 数量 */
    private String sum;

    /** 平台 */
    private String platform;

    /** CPU架构 */
    private String cpuFramework;

    /** GPU配置状态 */
    private String gpuStatus;

    /** CPU内核数量 */
    private String cpuCoreSum;

    /** 内存 */
    private String internalStorage;

    /** 操作系统 */
    private String os;

    /** 系统盘类型 */
    private String systemDiskType;

    /** 系统盘内存大小 */
    private String systemDiskInternalStorage;

    /** 管理员账号 */
    private String managerAccount;

    /** 管理员密码 */
    private String managerPassword;

    /** 安全组 */
    private String securityGroup;

    /** 调度策略 */
    private String schedulingPolicy;

    /** 引导方式 */
    private String bootMethod;

    /** 备份机 */
    private String backup;

    /** 反亲和组 */
    private String antiAffinityGroup;
}
