package cd.casic.ci.process.process.dataObject.history;

import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@EqualsAndHashCode(callSuper = true)
@Data
@TableName("pip_pipeline_his_instance")
public class PipPipelineHisInstance extends BaseDO {
    @TableId(type = IdType.ASSIGN_ID)
    private String id;
    private String pipelineId;
    private String contextTree;
    private String stateTree;
    private String defTree;
    private String executorUserId;
    private String executorUserName;
    private String triggerMode;
    private LocalDateTime startTime;
    private LocalDateTime endTime;
    private String state;
    private String stateName;
    private String pipelineName;
    private String targetVersionId;
    private String targetVersionName;
    private String description;
}
