package cd.casic.ci.process.process.dataObject.resource;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName PipResourceTmp
 * @Author hopeli
 * @Date 2025/31 21:40
 * @Version 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class PipResourceManager extends PipBaseElement {
    /**
     * docker镜像服务器信息id
     */
    private String dockerId;

    /**
     * k8s服务器信息id
     */
    private String k8sId;

    /**
     * 机器服务器信息id
     */
    private String machineId;

    /**
     * 弹性云服务器信息id
     */
    private String cloudId;

    /**
     * 资源名称
     */
    private String resourceName;
}
