package cd.casic.ci.process.process.dataObject.target;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TargetManager
 * @Date: 2025/5/17 10:23
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("target_manager")
public class TargetManager extends PipBaseElement {

    /**
     * 目标名称
     */
    private String targetName;

    /**
     * 目标类型
     */
    private String targetType;

    /**
     * 组织ID
     */
    private String projectId;

    /**
     * 描述
     */
    private String targetDesc;
}
