package cd.casic.ci.process.process.dataObject.template;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TemplateManager
 * @Date: 2025/5/28 19:02
 * @Description:
 */

@EqualsAndHashCode(callSuper = true)
@Data
public class TemplateManager extends PipBaseElement {
    /**
     * 模板名称
     */
    private String templateName;

    /**
     * 模板分类
     */
    private String templateType;

    /**
     * 描述
     */
    private String remark;
}
