package cd.casic.ci.process.process.dataObject.testCase;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TestCaseInfo
 * @Date: 2025/6/24 16:40
 * @Description:
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("test_case_manager")
public class TestCaseManager extends PipBaseElement {

    /**
     * 测试用例管理名称
     */
    private String name;

    /**
     * 测试用例管理类型
     */
    private String type;

    /**
     * 文件夹路径，用于统一上传文件地址
     */
    private String folderPath;

    /**
     * 描述
     */
    private String remark;
}
