package cd.casic.ci.process.process.service.aflManager;

import cd.casic.ci.process.dto.req.aflManager.AflManagerReq;
import cd.casic.ci.process.dto.resp.aflManager.AflBaseInfoResp;
import cd.casic.ci.process.dto.resp.aflManager.AflInfoResp;
import cd.casic.ci.process.process.dataObject.aflManager.AflInfo;
import cd.casic.ci.process.util.SftpUploadUtil;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.validation.Valid;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName AflInfoService
 * @Date: 2025/5/17 10:20
 * @Description:
 */
public interface AflInfoService extends IService<AflInfo> {

    String saveAflInfo(@Valid AflManagerReq req) throws SftpUploadUtil.SftpUploadException;

    void updateHistoryPipelineIdByAflInfo(@Valid AflManagerReq req);

    AflInfoResp findAflInfo(@Valid AflManagerReq req) throws SftpUploadUtil.SftpUploadException;

    List<AflInfoResp> findAflInfoListByHistory(@Valid AflManagerReq req);

    AflBaseInfoResp findAflBaseInfoList(@Valid AflManagerReq req) throws SftpUploadUtil.SftpUploadException;
}
