package cd.casic.ci.process.process.service.aflManager;

import cd.casic.ci.process.dto.req.aflManager.AflManagerReq;
import cd.casic.ci.process.dto.resp.aflManager.AflPlotInfoResp;
import cd.casic.ci.process.process.dataObject.aflManager.AflPlotInfo;
import cd.casic.ci.process.util.SftpUploadUtil;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.validation.Valid;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName AflInfoService
 * @Date: 2025/5/17 10:20
 * @Description:
 */
public interface AflPlotInfoService extends IService<AflPlotInfo> {

    String saveAflPlotInfo(@Valid AflManagerReq req) throws SftpUploadUtil.SftpUploadException;

    AflPlotInfoResp findAflPlotInfoNow(@Valid AflManagerReq req) throws SftpUploadUtil.SftpUploadException;

    List<AflPlotInfoResp> findAflPlotInfoListByHistory(@Valid AflManagerReq req);

    void updateHistoryPipelineIdByAflPlotInfo(@Valid AflManagerReq req);
}
