package cd.casic.ci.process.process.service.aflManager;

import cd.casic.ci.process.dto.req.aflManager.AflManagerReq;
import cd.casic.ci.process.dto.resp.aflManager.SeedsCountResp;
import cd.casic.ci.process.process.dataObject.aflManager.AflSeedInfo;
import cd.casic.ci.process.util.SftpUploadUtil;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.validation.Valid;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName AflInfoService
 * @Date: 2025/5/17 10:20
 * @Description:
 */
public interface AflSeedInfoService extends IService<AflSeedInfo> {

    List<SeedsCountResp> findSeedsCount(@Valid AflManagerReq req) throws SftpUploadUtil.SftpUploadException;

    void saveAflSeedInfo(@Valid AflManagerReq req);

    void updateHistoryPipelineIdByAflSeedInfo(@Valid AflManagerReq req);

}
