package cd.casic.ci.process.process.service.cloudResource;

import cd.casic.ci.process.dto.req.cloudResource.CloudResourceQueryReq;
import cd.casic.ci.process.dto.req.cloudResource.CloudResourceReq;
import cd.casic.ci.process.dto.resp.cloudResource.CloudResourceFindResp;
import cd.casic.ci.process.process.dataObject.cloudResource.CloudResource;
import cd.casic.framework.commons.pojo.PageResult;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.validation.Valid;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName ResourceService
 * @Date: 2025/5/13 10:27
 * @Description:
 */
public interface CloudResourceService extends IService<CloudResource> {

    String createCloudResource(@Valid CloudResourceReq req);

    PageResult<CloudResourceFindResp> findCloudResourcePage(@Valid CloudResourceQueryReq req);
}
