package cd.casic.ci.process.process.service.template;


import cd.casic.ci.process.dto.req.template.TemplateCreateReq;
import cd.casic.ci.process.dto.req.template.TemplateQueryReq;
import cd.casic.ci.process.dto.resp.template.TemplateFindResp;
import cd.casic.ci.process.process.dataObject.template.TemplateManager;
import cd.casic.framework.commons.pojo.PageResult;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.validation.Valid;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipelineService
 * @Date: 2025/5/13 10:27
 * @Description:
 */
public interface TemplateManagerService extends IService<TemplateManager> {
    String createTemplateManager(TemplateCreateReq req);

    PageResult<TemplateFindResp> findTemplatePage(@Valid TemplateQueryReq query);

    List<TemplateFindResp> findTemplateList(@Valid TemplateQueryReq query);

    TemplateFindResp findTemplateById(String id);
}
