package cd.casic.ci.process.process.service.template;

import cd.casic.ci.process.dto.req.task.TaskUpdateReq;
import cd.casic.ci.process.dto.req.template.TemplateTaskUpdateReq;
import cd.casic.ci.process.dto.resp.task.TasksResp;
import cd.casic.ci.process.dto.resp.template.TemplateTasksResp;
import cd.casic.ci.process.process.dataObject.task.PipTask;
import cd.casic.ci.process.process.dataObject.template.TemplateTask;
import cd.casic.ci.process.util.WebFrameworkUtils;
import cd.casic.framework.commons.exception.ServiceException;
import cd.casic.framework.commons.exception.enums.GlobalErrorCodeConstants;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.commons.lang3.StringUtils;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

public interface TemplateTaskService extends IService<TemplateTask> {
    List<TemplateTask> getTask(TemplateTask pipTask);
    List<TemplateTask> getTaskByStageIdList(List<String> stageIdList);
    TemplateTasksResp getRespById(String taskId);
    public Boolean updateTask(TemplateTaskUpdateReq req);
}
