package cd.casic.module.infra.framework.file.config;

import cd.casic.module.infra.framework.file.core.client.FileClientFactory;
import cd.casic.module.infra.framework.file.core.client.FileClientFactoryImpl;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 文件配置类
 *
 * @author mianbin modified from yudao
 */
@Configuration(proxyBeanMethods = false)
public class OpsFileAutoConfiguration {

    @Bean
    public FileClientFactory fileClientFactory() {
        return new FileClientFactoryImpl();
    }

}
