package cd.casic.module.system.api.dept.dto;


import cd.casic.framework.commons.enums.CommonStatusEnum;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 岗位 Response DTO
 *
 * @author mianbin modified from yudao
 */
@Data
@Accessors(chain = true)
public class PostRespDTO {

    /**
     * 岗位序号
     */
    private Long id;
    /**
     * 岗位名称
     */
    private String name;
    /**
     * 岗位编码
     */
    private String code;
    /**
     * 岗位排序
     */
    private Integer sort;
    /**
     * 状态
     *
     * 枚举 {@link CommonStatusEnum}
     */
    private Integer status;

}
