package cd.casic.module.system.api.dict.dto;

import cd.casic.framework.commons.enums.CommonStatusEnum;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 字典数据 Response DTO
 *
 * @author mianbin modified from yudao
 */
@Data
@Accessors(chain = true)
public class DictDataRespDTO {

    /**
     * 字典标签
     */
    private String label;
    /**
     * 字典值
     */
    private String value;
    /**
     * 字典类型
     */
    private String dictType;
    /**
     * 状态
     *
     * 枚举 {@link CommonStatusEnum}
     */
    private Integer status;

}
