package cd.casic.module.system.controller.admin.dict.vo.data;

import cd.casic.module.system.controller.admin.dict.vo.type.DictTypeRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author songqiang
 * @date 2023-09-28 9:50
 * @description
 */
@Schema(description = "管理后台 - 字典树 Response VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class DictDataTreeVO extends DictTypeRespVO {

    @Schema(description = "子节点")
    private List<DictDataRespVO> children;
}
