package cd.casic.module.system.framework.web.config;

import cd.casic.framework.swagger.config.OpsSwaggerAutoConfiguration;
import org.springdoc.core.models.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * system 模块的 web 组件的 Configuration
 *
 * @author mianbin modified from yudao
 */
@Configuration(proxyBeanMethods = false)
public class SystemWebConfiguration {

    /**
     * system 模块的 API 分组
     */
    @Bean
    public GroupedOpenApi systemGroupedOpenApi() {
        return OpsSwaggerAutoConfiguration.buildGroupedOpenApi("system");
    }

}
