package cd.casic.server;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

/**
 * 项目的启动类
 *
 * @author mianbin
 */

@SuppressWarnings("SpringComponentScan")
@ComponentScan({"cd.casic"})
@MapperScan(basePackages = {"cd.casic.**.dao"})
@SpringBootApplication(scanBasePackages = {"${ops.info.base-package}.server", "${ops.info.base-package}.module"})
public class OpsServerApplication {
    public static void main(String[] args) {
        SpringApplication.run(OpsServerApplication.class, args);
    }

}
